namespace ConfigOperator;

public class Paths
{
    private static string MainFolder { get; } = new DirectoryInfo(Dir.ExeDirectory).Parent!.FullName;

    public static string ConfigFileFolder { get; } = Path.Combine(MainFolder, "Settings", "ConfigFiles");
    public static string HardwareFolder { get; } = Path.Combine(MainFolder, "Settings", "Hardwares");
    public static string IOListFolder { get; } = Path.Combine(MainFolder, "Settings", "IOList");
    public static string PLCIOListFolder { get; } = Path.Combine(MainFolder, "Settings", "PLCIOList");
    public static string PLCChannelIOListFolder { get; } = Path.Combine(MainFolder, "Settings", "PLCIOList","PLCChannel");
    public static string BaseFolder { get; } = Path.Combine(MainFolder, "Settings", "Base");
}